import UIAbility from "@ohos:app.ability.UIAbility";
import type AbilityConstant from "@ohos:app.ability.AbilityConstant";
import type Want from "@ohos:app.ability.Want";
import type window from "@ohos:window";
import type { Router, UIContext } from "@ohos:arkui.UIContext";
import type { BusinessError } from "@ohos:base";
export default class FuncAbility extends UIAbility {
    want: Want | undefined = undefined;
    uiContext: UIContext | undefined = undefined;
    onCreate(want: Want, launchParam: AbilityConstant.LaunchParam): void {
        // 接收调用方UIAbility传过来的参数
        this.want = want;
        let info = want.parameters?.info as string;
        console.info(info);
    }
    onWindowStageCreate(windowStage: window.WindowStage): void {
        let url = 'pages/PageFuncA';
        if (this.want?.parameters?.router && this.want.parameters.router === 'funcA') {
            url = 'pages/PageCold';
        }
        windowStage.loadContent(url, (err, data) => {
            if (err.code) {
                return;
            }
            windowStage.getMainWindow((err, data) => {
                if (err.code) {
                    return;
                }
                this.uiContext = data.getUIContext();
            });
        });
    }
    onNewWant(want: Want, launchParam: AbilityConstant.LaunchParam): void {
        if (want.parameters?.router && want.parameters.router === 'funcA') {
            let url = 'pages/PageHot';
            if (this.uiContext) {
                let router: Router = this.uiContext.getRouter();
                router.pushUrl({
                    url
                }).catch((err: BusinessError) => {
                });
            }
        }
    }
}
