if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
interface Index_Params {
    context?;
}
import type common from "@ohos:app.ability.common";
import type Want from "@ohos:app.ability.Want";
import type { BusinessError } from "@ohos:base";
import hilog from "@ohos:hilog";
import CommonConstants from "@bundle:com.example.mt01uiability1/entry/ets/common/constants/CommonConstants";
import promptAction from "@ohos:promptAction";
class Index extends ViewPU {
    constructor(parent, params, __localStorage, elmtId = -1, paramsLambda = undefined, extraInfo) {
        super(parent, __localStorage, elmtId, extraInfo);
        if (typeof paramsLambda === "function") {
            this.paramsGenerator_ = paramsLambda;
        }
        this.context = getContext(this) as common.UIAbilityContext;
        this.setInitiallyProvidedValue(params);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(params: Index_Params) {
        if (params.context !== undefined) {
            this.context = params.context;
        }
    }
    updateStateVars(params: Index_Params) {
    }
    purgeVariableDependenciesOnElmtId(rmElmtId) {
    }
    aboutToBeDeleted() {
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    private context;
    initialRender() {
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Column.create();
            Column.height('100%');
            Column.width('100%');
            Column.padding(20);
        }, Column);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create('EntryAbility Index');
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Button.createWithLabel('打开FuncAbility PageFuncA页面');
            Button.align(Alignment.Center);
            Button.margin({
                top: 20
            });
            Button.onClick(() => {
                let want: Want = {
                    deviceId: '',
                    bundleName: this.context.abilityInfo.bundleName,
                    moduleName: this.context.abilityInfo.moduleName,
                    abilityName: 'FuncAbility',
                    parameters: {
                        info: '来自EntryAbility Index页面'
                    }
                };
                this.context.startAbilityForResult(want).then((data) => {
                    if (data.resultCode === CommonConstants.RESULT_CODE) {
                        let info = data.want?.parameters?.info;
                        hilog.info(CommonConstants.DOMAIN_NUMBER, CommonConstants.TAG_INDEX, JSON.stringify(info) ?? '');
                        if (info !== null) {
                            promptAction.showToast({
                                message: JSON.stringify(info)
                            });
                        }
                    }
                    hilog.info(CommonConstants.DOMAIN_NUMBER, CommonConstants.TAG_INDEX, JSON.stringify(data.resultCode) ?? '');
                }).catch((error: BusinessError) => {
                    hilog.error(CommonConstants.DOMAIN_NUMBER, CommonConstants.TAG_INDEX, `Failed to start ability for result. Code is ${error.code}, message is ${error.message}`);
                });
            });
        }, Button);
        Button.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Button.createWithLabel('目标UIAbility冷启动、热启动');
            Button.align(Alignment.Center);
            Button.margin({
                top: 20
            });
            Button.onClick(() => {
                let want: Want = {
                    deviceId: '',
                    bundleName: this.context.abilityInfo.bundleName,
                    moduleName: this.context.abilityInfo.moduleName,
                    abilityName: 'FuncAbility',
                    parameters: {
                        info: '来自EntryAbility Index页面',
                        router: 'funcA'
                    }
                };
                this.context.startAbility(want).then(() => {
                    hilog.info(CommonConstants.DOMAIN_NUMBER, CommonConstants.TAG_INDEX, 'Succeeded in starting ability.');
                }).catch((err: BusinessError) => {
                    hilog.error(CommonConstants.DOMAIN_NUMBER, CommonConstants.TAG_INDEX, `Failed to start ability. Code is ${err.code}, message is ${err.message}`);
                });
            });
        }, Button);
        Button.pop();
        Column.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
    static getEntryName(): string {
        return "Index";
    }
}
registerNamedRoute(() => new Index(undefined, {}), "", { bundleName: "com.example.mt01uiability1", moduleName: "entry", pagePath: "pages/Index", pageFullPath: "entry/src/main/ets/pages/Index", integratedHsp: "false" });
